aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild6
-rwxr-xr-xothers/generic/generic.SlackBuild8
2 files changed, 7 insertions, 7 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 85e079f9..6dc6e23a 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -26,7 +26,7 @@ TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-PKG_SRC=$SRC_NAME-$VERSION
+PKG_SRC=$SRC_DIR/$SRC_NAME-$VERSION
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR=$PREFIX/lib
@@ -91,8 +91,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC/g10
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC/g10
patch -Np0 < $CWD/filter-context-20-small.diff || exit $ERROR_PATCH
cd ..
CFLAGS="$SLKCFLAGS" \
diff --git a/others/generic/generic.SlackBuild b/others/generic/generic.SlackBuild
index a1906785..79882a3b 100755
--- a/others/generic/generic.SlackBuild
+++ b/others/generic/generic.SlackBuild
@@ -1,7 +1,7 @@
################################################
## Generic template for SlackBuilds
##
-## Version 0.2.2 - Luis
+## Version 0.2.3 - Luis
##
################################################
#!/bin/bash
@@ -86,8 +86,8 @@ fi
gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PKG_SRC
+tar --no-same-owner --no-same-permissions -xvf $SRC_DIR/$SRC -C $SRC_DIR || exit $ERROR_TAR
+cd $SRC_DIR/$PKG_SRC
patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < $CWD/[[PATCH FILE]]
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -156,5 +156,5 @@ makepkg -l y -c n $REPOS/$PKG_NAME-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPK
# Delete source and build directories, if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $CWD/$PKG_SRC $PKG
+ rm -rf $SRC_DIR/$PKG_SRC $PKG
fi